Bug 206537 - Installation aborts if DHCP unchecked and IP fields empty
Installation aborts if DHCP unchecked and IP fields empty
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
: 206538 (view as bug list)
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-09-14 17:56 EDT by Jason Farrell
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-18 17:16:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Farrell 2006-09-14 17:56:36 EDT
Description of problem:
Installation of FC6T3 aborts at Network setup step if "Use DHCP" in the device 
dialog is unchecked and nothing is input in the IP fields.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go through default install steps until reaching Network devices setup step
2. Select a device (ie "eth0") and click Edit
3. Uncheck the "Use DHCP" checkbox
4. Click OK
Actual results:
Installation aborts because of unhandled exception

Expected results:
Input validation of required fields that are empty or bogus

Additional info:

Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/network_gui.py", line 456, in editDevice
    if int(val) > 32 or int(val) < 0:
ValueError: invalid literal for int():
Comment 1 Jeremy Katz 2006-09-14 18:08:02 EDT
*** Bug 206538 has been marked as a duplicate of this bug. ***
Comment 2 Anssi Johansson 2006-09-17 19:24:04 EDT
Bug 206678 is probably related to this bug, there are some more user interface /
input validation problems listed in that bug.

Note You need to log in before you can comment on or make changes to this bug.